Get global checkpoints

  • GET /{index}/_fleet/global_checkpoints
Auth

Get the current global checkpoints for an index. This API is designed for internal use by the Fleet server project.

Required privileges

Index privileges monitor

Path parameters

index union string required

A single index or index alias that resolves to a single index.

Query parameters

wait_for_advance boolean · default: false

A boolean value which controls whether to wait (until the timeout) for the global checkpoints to advance past the provided checkpoints.

wait_for_index boolean · default: false

A boolean value which controls whether to wait (until the timeout) for the target index to exist and all primary shards be active. Can only be true when wait_for_advance is true.

checkpoints number[] · default: []

A comma separated list of previous global checkpoints. When used in combination with wait_for_advance, the API will only return once the global checkpoints advances past the checkpoints. Providing an empty list will cause Elasticsearch to immediately return the current global checkpoints.

timeout string · default: 30s

Period to wait for a global checkpoints to advance past checkpoints.

Response

application/json
global_checkpoints number[] required
timed_out boolean required